/* Import Google font - Poppins */
@import url('../../template/main.css');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

#bg:after {
  background-image: var(--background, url("../images/bg.jpg"));
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  display: flex;
  align-items: center;
  padding: 0 10px;
  justify-content: center;
  max-width: 100vw;
  min-height: 100vh;
  background: #000000;
}

body.is-article-visible .login-button,
body.is-article-visible .logout-button {
  opacity: 0;
}

.login-button,
.logout-button {
  position: fixed;
  box-shadow: none;
  top: 5px;
  left: 5px;
  padding: 0 11px;
  font-size: 18px;
  color: white;
  z-index: 2;
}

input[type="date"] {
  background-color: #333;
  font-family: "Roboto Mono", monospace;
  color: #ffffff;
  font-size: 18px;
  border: none;
  outline: none;
  border-radius: 5px;
}

::-webkit-calendar-picker-indicator {
  background-color: #ffffff;
  padding: 5px;
  cursor: pointer;
  border-radius: 3px;
}

div :has(input[type="tel"]) {
  width: 100%;
}

@media screen and (max-width: 480px) {
  body {
    padding: 0;
  }

  .login-button,
  .logout-button {
    top: 0;
    padding: 0 4px;
  }
}